Scroll Status

Bootstrap 5 Scroll Status plugin

Scroll Status plugin contains MDBScrollProgress component for visual representation of the scroll progress and v-mdb-scroll-status directive for calculating current scroll value on element.

Scroll status for the latest Bootstrap 5. Creates a progress bar indicating page or component scroll level.

Note: Read the API tab to find all available options and advanced customization


Basic example

Create default Scroll Status with MDBScrollProgress. Pass progress property with the value calculated by v-mdb-scroll-status directive.

Some content here

        
            
            <template>
              <div 
                class="border" 
                style="height: 100px; overflow-y: auto" 
                v-mdb-scroll-status="updateProgress"
              >
                <MDBScrollProgress :progress="progress" />
            
                <div style="height: 400px; width: 100%">
                  <p class="mt-2" style="text-align: center">Some content here</p>
                </div>
              </div>
            </template>
          
        
    
        
            
            <script>
              import { mdbScrollStatus, MDBScrollProgress } from "mdb-vue-scroll-status";
              import { ref } from "vue";

              export default {
                components: {
                  MDBScrollProgress,
                },
                directives: {
                  mdbScrollStatus
                },
                setup() {
                  const progress = ref(0)
                  const updateProgress = (value) => {
                    progress.value = value;
                  };

                  return {
                    progress,
                    updateProgress
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { mdbScrollStatus as vMdbScrollStatus , MDBScrollProgress } from "mdb-vue-scroll-status";
              import { ref } from "vue";

              const progress = ref(0)
              const updateProgress = (value: number) => {
                  progress.value = value;
              };
            </script>
          
        
    

Global example

Create element indicating global page scroll level.

        
            
            <template>
              <MDBScrollProgress
                v-mdb-scroll-status="{ 
                  global: true, 
                  callback: updateProgress 
                }"
                :progress="progress"
              />
            </template>
          
        
    
        
            
            <script>
              import { mdbScrollStatus, MDBScrollProgress } from "mdb-vue-scroll-status";
              import { ref } from "vue";

              export default {
                components: {
                  MDBScrollProgress,
                },
                directives: {
                  mdbScrollStatus
                },
                setup() {
                  const progress = ref(0)
                  const updateProgress = (value) => {
                    progress.value = value;
                  };

                  return {
                    progress,
                    updateProgress
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { mdbScrollStatus as vMdbScrollStatus, MDBScrollProgress } from "mdb-vue-scroll-status";
              import { ref } from "vue";

              const progress = ref(0)
              const updateProgress = (value: number) => {
                progress.value = value;
              };
            </script>
          
        
    

Styling

Color

Change default color of MDBScrollProgress> with color property.

Some content here

        
            
              <template>
                <div
                  class="border"
                  style="height: 100px; overflow-y: auto"
                  v-mdb-scroll-status="updateProgress"
                >
                  <MDBScrollProgress :progress="progress" color="green" />

                  <div style="height: 400px; width: 100%">
                    <p class="mt-2" style="text-align: center">Some content here</p>
                  </div>
                </div>
              </template>
            
        
    
        
            
              <script>
                import { mdbScrollStatus, MDBScrollProgress } from "mdb-vue-scroll-status";
                import { ref } from "vue";

                export default {
                  components: {
                    MDBScrollProgress,
                  },
                  directives: {
                    mdbScrollStatus
                  },
                  setup() {
                    const progress = ref(0)
                    const updateProgress = (value) => {
                      progress.value = value;
                    };

                    return {
                      progress,
                      updateProgress
                    };
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { mdbScrollStatus as vMdbScrollStatus, MDBScrollProgress } from "mdb-vue-scroll-status";
                import { ref } from "vue";

                const progress = ref(0)
                const updateProgress = (value: number) => {
                  progress.value = value;
                };
              </script>
            
        
    

Position

Change default vertical position of MDBScrollProgress with offset.

Some content here

        
            
              <template>
                <div
                  class="border"
                  style="height: 100px; overflow-y: auto"
                  v-mdb-scroll-status="updateProgress"
                >
                  <MDBScrollProgress :progress="progress" :offset="10" />

                  <div style="height: 400px; width: 100%">
                    <p class="mt-2" style="text-align: center">Some content here</p>
                  </div>
                </div>
              </template>
            
        
    
        
            
              <script>
                import { mdbScrollStatus, MDBScrollProgress } from "mdb-vue-scroll-status";
                import { ref } from "vue";

                export default {
                  components: {
                    MDBScrollProgress,
                  },
                  directives: {
                    mdbScrollStatus
                  },
                  setup() {
                    const progress = ref(0)

                    const updateProgress = (value) => {
                      progress.value = value;
                    };

                    return {
                      progress,
                      updateProgress
                    };
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { mdbScrollStatus as vMdbScrollStatus, MDBScrollProgress } from "mdb-vue-scroll-status";
                import { ref } from "vue";

                const progress = ref(0)
                const updateProgress = (value: number) => {
                  progress.value = value;
                };
              </script>
            
        
    

Height

Change default height of MDBScrollProgress with height.

Some content here

        
            
              <template>
                <div
                  class="border"
                  style="height: 100px; overflow-y: auto"
                  v-mdb-scroll-status="updateProgress"
                >
                  <MDBScrollProgress :progress="progress" height="20px" />

                  <div style="height: 400px; width: 100%">
                    <p class="mt-2" style="text-align: center">Some content here</p>
                  </div>
                </div>
              </template>
            
        
    
        
            
              <script>
                import { mdbScrollStatus, MDBScrollProgress } from "mdb-vue-scroll-status";
                import { ref } from "vue";

                export default {
                  components: {
                    MDBScrollProgress,
                  },
                  directives: {
                    mdbScrollStatus
                  },
                  setup() {
                    const progress = ref(0)

                    const updateProgress = (value) => {
                      progress.value = value;
                    };

                    return {
                      progress,
                      updateProgress
                    };
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { mdbScrollStatus as vMdbScrollStatus, MDBScrollProgress } from "mdb-vue-scroll-status";
                import { ref } from "vue";

                const progress = ref(0)
                const updateProgress = (value) => {
                  progress.value = value;
                };
              </script>
            
        
    

Modal

One-time modal

Once show modal with once and scrollCallback arguments after reaching value set in scroll of v-mdb-scroll-status

Some content here

        
            
              <template>
                <div
                  class="border"
                  style="height: 100px; overflow: auto"
                  v-mdb-scroll-status="{
                    callback: updateProgress,
                    scroll: 50,
                    scrollCallback: openModalOnce,
                    once: true,
                  }"
                >
                  <MDBScrollProgress :progress="progress" />

                  <div style="height: 400px; width: 100%">
                    <p class="mt-2" style="text-align: center">Some content here</p>
                    <MDBModal
                      id="modalOnce"
                      tabindex="-1"
                      labelledby="modalOnceLabel"
                      v-model="modalOnce"
                    >
                      <MDBModalHeader>
                        <MDBModalTitle id="modalOnceLabel"
                          >Scroll Status
                        </MDBModalTitle>
                      </MDBModalHeader>
                      <MDBModalBody>Showing scroll status on 50% once</MDBModalBody>
                      <MDBModalFooter>
                        <MDBBtn color="secondary" @click="modalOnce = false">Close</MDBBtn>
                        <MDBBtn color="primary">Save changes</MDBBtn>
                      </MDBModalFooter>
                    </MDBModal>
                  </div>
                </div>
              </template>
            
        
    
        
            
              <script>
                import { mdbScrollStatus, MDBScrollProgress } from "mdb-vue-scroll-status";
                import {
                  MDBModal,
                  MDBModalHeader,
                  MDBModalTitle,
                  MDBModalBody,
                  MDBModalFooter,
                  MDBBtn,
                } from "mdb-vue-ui-kit";
                import { ref } from "vue";

                export default {
                  components: {
                    MDBScrollProgress,
                    MDBModal,
                    MDBModalHeader,
                    MDBModalTitle,
                    MDBModalBody,
                    MDBModalFooter,
                    MDBBtn,
                  },
                  directives: {
                    mdbScrollStatus
                  },
                  setup() {
                    const progress = ref(0)
                    const updateProgress = (value) => {
                      progress.value = value;
                    };

                    const modalOnce = ref(false);
                    const openModalOnce = () => {
                      modalOnce.value = true;
                    };

                    return {
                      progress,
                      updateProgress,
                      modalOnce,
                      openModalOnce
                    };
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { mdbScrollStatus as vMdbScrollStatus, MDBScrollProgress } from "mdb-vue-scroll-status";
                import {
                  MDBModal,
                  MDBModalHeader,
                  MDBModalTitle,
                  MDBModalBody,
                  MDBModalFooter,
                  MDBBtn,
                } from "mdb-vue-ui-kit";
                import { ref } from "vue";

                const progress = ref(0)
                const updateProgress = (value: number) => {
                  progress.value = value;
                };

                const modalOnce = ref(false);
                const openModalOnce = () => {
                  modalOnce.value = true;
                };
              </script>
            
        
    

Multiple modal

To show modal more than just one time, simply use only scroll and scrollCalback.

Some content here

        
            
              <template>
                <div
                  class="border"
                  style="height: 100px; overflow: auto"
                  v-mdb-scroll-status="{
                    callback: updateProgress,
                    scroll: 50,
                    scrollCallback: openModalMulti,
                  }"
                >
                  <MDBScrollProgress :progress="progress" />

                  <div style="height: 400px; width: 100%">
                    <p class="mt-2" style="text-align: center">Some content here</p>
                    <MDBModal
                      id="modalMulti"
                      tabindex="-1"
                      labelledby="modalMultiLabel"
                      v-model="modalMulti"
                    >
                      <MDBModalHeader>
                        <MDBModalTitle id="modalMultiLabel"
                          >Scroll Status
                        </MDBModalTitle>
                      </MDBModalHeader>
                      <MDBModalBody
                        >Showing scroll status on 50% multiple</MDBModalBody
                      >
                      <MDBModalFooter>
                        <MDBBtn color="secondary" @click="modalMulti = false"
                          >Close</MDBBtn
                        >
                        <MDBBtn color="primary">Save changes</MDBBtn>
                      </MDBModalFooter>
                    </MDBModal>
                  </div>
                </div>
              </template>
            
        
    
        
            
              <script>
                import { mdbScrollStatus, MDBScrollProgress } from "mdb-vue-scroll-status";
                import {
                  MDBModal,
                  MDBModalHeader,
                  MDBModalTitle,
                  MDBModalBody,
                  MDBModalFooter,
                  MDBBtn,
                } from "mdb-vue-ui-kit";
                import { ref } from "vue";

                export default {
                  components: {
                    MDBScrollProgress,
                    MDBModal,
                    MDBModalHeader,
                    MDBModalTitle,
                    MDBModalBody,
                    MDBModalFooter,
                    MDBBtn,
                  },
                  directives: {
                    mdbScrollStatus,
                  },
                  setup() {
                    const progress = ref(0)
                    const updateProgress = (value) => {
                      progress.value = value;
                    };

                    const modalMulti = ref(false);
                    const openModalMulti = () => {
                      modalMulti.value = true;
                    };

                    return {
                      progress,
                      updateProgress,
                      modalMulti,
                      openModalMulti
                    };
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { mdbScrollStatus as vMdbScrollStatus, MDBScrollProgress } from "mdb-vue-scroll-status";
                import {
                  MDBModal,
                  MDBModalHeader,
                  MDBModalTitle,
                  MDBModalBody,
                  MDBModalFooter,
                  MDBBtn,
                } from "mdb-vue-ui-kit";
                import { ref } from "vue";

                const progress = ref(0)
                const updateProgress = (value: number) => {
                  progress.value = value;
                };

                const modalMulti = ref(false);
                const openModalMulti = () => {
                  modalMulti.value = true;
                };
              </script>
            
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Scroll Status - API


Import

        
            
      <script>
        import {
          MDBScrollProgress,
          mdbScrollStatus
        } from "mdb-vue-scroll-status";
      </script>
      
        
    

Properties

MDBScrollProgress

Name Type Default Description
color String #1266F1 Defines color of the progress bar.
height String 10px Defines height of the progress bar.
offset Number 0 Defines offset of the progress bar.
progress Number 0 Pass scroll progress based on v-mdb-scroll-status directive.

Arguments

v-mdb-scroll-status

Name Type Default Description
callback Function Function that will be called on every scroll status update event. Use it to update your progress status.
global Boolean false If value is true, it will show global scroll (window scroll).
scroll Number 0 Defines value which crossing will trigger scrollCallback.
scrollCallback Function Function that will be called when scroll value is reached. Use it for e.g. opening modals.
once Boolean true If value is true, it will call scrollCallback only once.

Scroll Status

Angular Bootstrap 5 Scroll Status plugin

Scroll Status plugin creates progress bar indicating page or component scroll level.

Angular Scroll status for the latest Bootstrap 5. Creates a progress bar indicating page or component scroll level.

Note: Read the API tab to find all available options and advanced customization


Basic example

The Scroll Status Service provides method to calculate scroll level of page or component.

Set #container template variable on element of your choice and subscribe to getScrollPercentage(container) to get scroll level in return. Set the .scroll-status-progress element's [style.width.%] attribute to the returned value from service in order to dynamically update scroll progress bar.

Some content here

        
            
        <section class="border w-100 p-4">
          <div class="border w-100" style="height: 100px; overflow-y: auto" #container>
            <div class="scroll-status">
              <div
                class="scroll-status-progress bg-primary"
                style="height: 10px"
                [style.width.%]="scrollPercentage$ | async"
              ></div>
            </div>
  
            <div style="height: 400px; width: 100%">
              <p class="mt-2" style="text-align: center">Some content here</p>
            </div>
          </div>
        </section>
        
        
    
        
            
import { Component, ElementRef, OnInit, ViewChild } from '@angular/core';
import { Observable } from 'rxjs';
import { MdbScrollStatusService } from 'mdb-angular-scroll-status';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss'],
})
export class AppComponent implements OnInit {
  @ViewChild('container', { static: true }) container!: ElementRef;

  scrollPercentage$: Observable<number> | null = null;

  constructor(private _scrollStatusService: MdbScrollStatusService) {}

  ngOnInit(): void {
    this.scrollPercentage$ = this._scrollStatusService.getScrollPercentage(
      this.container.nativeElement
    );
  }
}
          
        
    
        
            
        .scroll-status {
          position: sticky;
          z-index: 1020;
          background: #ccc;
          top: 0%;
        }
        
        .scroll-status-progress {
          width: 0%;
        }        
          
        
    

Global example

The getScrollPercentage() method by default calculates the scroll for window or document if function parameter is not provided.

        
            
<div class="container fixed-top" style="top: 2rem">
  <div class="scroll-status">
    <div
      class="scroll-status-progress bg-primary"
      style="height: 10px"
      [style.width.%]="scrollPercentage$ | async"
    ></div>
  </div>
</div>
<div
  style="height: 2160px"
  class="d-flex align-items-center justify-content-center"
>
  <p>Content</p>
</div>

        
    
        
            
import { Component, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { MdbScrollStatusService } from 'mdb-angular-scroll-status';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss'],
})
export class AppComponent implements OnInit {
  scrollPercentage$: Observable<number> | null = null;

  constructor(private _scrollStatusService: MdbScrollStatusService) {}

  ngOnInit(): void {
    this.scrollPercentage$ = this._scrollStatusService.getScrollPercentage();
  }
}


        
    
        
            
.scroll-status {
position: sticky;
z-index: 1020;
background: #ccc;
top: 0%;
}

.scroll-status-progress {
width: 0%;
}        

        
    

Styling

Color

Easily change the color of Scroll Status with .bg-* color classes.

Some content here

        
            
          <section class="border w-100 p-4">
            <div class="border w-100" style="height: 100px; overflow-y: auto" #container>
              <div class="scroll-status">
                <div
                  class="scroll-status-progress bg-success"
                  style="height: 10px"
                  [style.width.%]="scrollPercentage$ | async"
                ></div>
              </div>
    
              <div style="height: 400px; width: 100%">
                <p class="mt-2" style="text-align: center">Some content here</p>
              </div>
            </div>
          </section>
          
        
    
        
            
          import { Component, ElementRef, OnInit, ViewChild } from '@angular/core';
          import { Observable } from 'rxjs';
          import { MdbScrollStatusService } from 'mdb-angular-scroll-status';
          
          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
            styleUrls: ['./app.component.scss'],
          })
          export class AppComponent implements OnInit {
            @ViewChild('container', { static: true }) container!: ElementRef;
          
            scrollPercentage$: Observable<number> | null = null;
          
            constructor(private _scrollStatusService: MdbScrollStatusService) {}
          
            ngOnInit(): void {
              this.scrollPercentage$ = this._scrollStatusService.getScrollPercentage(
                this.container.nativeElement
              );
            }
          }
            
        
    
        
            
          .scroll-status {
            position: sticky;
            z-index: 1020;
            background: #ccc;
            top: 0%;
          }
          
          .scroll-status-progress {
            width: 0%;
          }        
            
        
    

Position

Change vertical of Scroll Status position by adding styling rule style="top: 10%" to .scroll-status element.

Some content here

        
            
            <div class="border" style="height: 100px; overflow-y: auto;" #container>
              <div class="scroll-status" style="top: 10%">
                <div class="scroll-status-progress bg-success"
                style="height: 10px"
                [style.width.%]="scrollPercentage$ | async"></div>
              </div>
                
              <div style="height: 400px; width: 100%;">
                <p class="mt-2" style="text-align: center;">Some content here</p>
              </div>
            </div>
          
        
    
        
            
          import { Component, ElementRef, OnInit, ViewChild } from '@angular/core';
          import { Observable } from 'rxjs';
          import { MdbScrollStatusService } from 'mdb-angular-scroll-status';
          
          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
            styleUrls: ['./app.component.scss'],
          })
          export class AppComponent implements OnInit {
            @ViewChild('container', { static: true }) container!: ElementRef;
          
            scrollPercentage$: Observable<number> | null = null;
          
            constructor(private _scrollStatusService: MdbScrollStatusService) {}
          
            ngOnInit(): void {
              this.scrollPercentage$ = this._scrollStatusService.getScrollPercentage(
                this.container.nativeElement
              );
            }
          }
            
        
    
        
            
          .scroll-status {
            position: sticky;
            z-index: 1020;
            background: #ccc;
            top: 0%;
          }
          
          .scroll-status-progress {
            width: 0%;
          }        
            
        
    

Height

Change height of Scroll Status by adding styling rule style="height: 20px". to .scroll-status-progress element

Some content here

        
            
          <div class="border" style="height: 100px; overflow-y: auto;" #container>
            <div class="scroll-status">
              <div class="scroll-status-progress bg-success"
              style="height: 20px"
              [style.width.%]="scrollPercentage$ | async"></div>
            </div>
              
            <div style="height: 400px; width: 100%;">
              <p class="mt-2" style="text-align: center;">Some content here</p>
            </div>
          </div>
          
        
    
        
            
          import { Component, ElementRef, OnInit, ViewChild } from '@angular/core';
          import { Observable } from 'rxjs';
          import { MdbScrollStatusService } from 'mdb-angular-scroll-status';
          
          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
            styleUrls: ['./app.component.scss'],
          })
          export class AppComponent implements OnInit {
            @ViewChild('container', { static: true }) container!: ElementRef;
          
            scrollPercentage$: Observable<number> | null = null;
          
            constructor(private _scrollStatusService: MdbScrollStatusService) {}
          
            ngOnInit(): void {
              this.scrollPercentage$ = this._scrollStatusService.getScrollPercentage(
                this.container.nativeElement
              );
            }
          }
            
        
    
        
            
          .scroll-status {
            position: sticky;
            z-index: 1020;
            background: #ccc;
            top: 0%;
          }
          
          .scroll-status-progress {
            width: 0%;
          }        
            
        
    

Modal

To create modal you can follow our MDB Angular Modal documentation.

One-time modal

Some content here

        
            
          <section class="border w-100 p-4">
            <div class="border w-100" style="height: 100px; overflow-y: auto" #container>
              <div class="scroll-status">
                <div
                  class="scroll-status-progress bg-primary"
                  style="height: 10px"
                  [style.width.%]="scrollPercentage"
                ></div>
              </div>
          
              <div style="height: 400px; width: 100%">
                <p class="mt-2" style="text-align: center">Some content here</p>
              </div>
            </div>
          </section>          
          
        
    
        
            
          import { Component, ElementRef, OnInit, ViewChild } from '@angular/core';
          import { MdbScrollStatusService } from 'mdb-angular-scroll-status';
          import { ModalComponent } from './modal/modal.component';
          import { MdbModalRef, MdbModalService } from 'mdb-angular-ui-kit/modal';
          
          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
            styleUrls: ['./app.component.scss'],
          })
          export class AppComponent implements OnInit {
            @ViewChild('container', { static: true }) container!: ElementRef;
          
            scrollPercentage: number = 0;
            modalRef: MdbModalRef<ModalComponent> | null = null;
            isAlreadyOpenedOnce = false;
          
            constructor(
              private _scrollStatusService: MdbScrollStatusService,
              private modalService: MdbModalService
            ) {}
          
            ngOnInit(): void {
              this._scrollStatusService
                .getScrollPercentage(this.container.nativeElement)
                .subscribe((result) => {
                  this.scrollPercentage = result;
                  if (this.scrollPercentage >= 50 && !this.isAlreadyOpenedOnce) {
                    this.openModal();
                    this.isAlreadyOpenedOnce = true;
                  }
                });
            }
          
            openModal() {
              this.modalRef = this.modalService.open(ModalComponent);
            }
          }
          
            
        
    
        
            
          .scroll-status {
            position: sticky;
            z-index: 1020;
            background: #ccc;
            top: 0%;
          }
          
          .scroll-status-progress {
            width: 0%;
          }        
            
        
    

Multiple modal

Some content here

        
            
          <section class="border w-100 p-4">
            <div class="border w-100" style="height: 100px; overflow-y: auto" #container>
              <div class="scroll-status">
                <div
                  class="scroll-status-progress bg-primary"
                  style="height: 10px"
                  [style.width.%]="scrollPercentage"
                ></div>
              </div>
          
              <div style="height: 400px; width: 100%">
                <p class="mt-2" style="text-align: center">Some content here</p>
              </div>
            </div>
          </section>          
          
        
    
        
            
          import { Component, ElementRef, OnInit, ViewChild } from '@angular/core';
import { MdbScrollStatusService } from 'mdb-angular-scroll-status';
import { ModalComponent } from './modal/modal.component';
import { MdbModalRef, MdbModalService } from 'mdb-angular-ui-kit/modal';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss'],
})
export class AppComponent implements OnInit {
  @ViewChild('container', { static: true }) container!: ElementRef;

  scrollPercentage: number = 0;
  modalRef: MdbModalRef<ModalComponent> | null = null;
  isAlreadyOpenedOnce = false;

  constructor(
    private _scrollStatusService: MdbScrollStatusService,
    private modalService: MdbModalService
  ) {}

  ngOnInit(): void {
    this._scrollStatusService
      .getScrollPercentage(this.container.nativeElement)
      .subscribe((result) => {
        this.scrollPercentage = result;
        if (this.scrollPercentage >= 50 && !this.isAlreadyOpenedOnce) {
          this.openModal();
          this.isAlreadyOpenedOnce = true;
        }
        if (this.scrollPercentage < 50 && this.isAlreadyOpenedOnce) {
          this.openModal();
          this.isAlreadyOpenedOnce = false;
        }
      });
  }

  openModal() {
    this.modalRef = this.modalService.open(ModalComponent);
  }
}

            
        
    
        
            
          .scroll-status {
            position: sticky;
            z-index: 1020;
            background: #ccc;
            top: 0%;
          }
          
          .scroll-status-progress {
            width: 0%;
          }        
            
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Scroll status - API


Installation

To install and configure the plugin follow our Plugins Installation Guide. Please remember to update all the plugin names and import paths. You can find all the necessary information in the Import section.

        
            
     npm i git+https://oauth2:ACCESS_TOKEN@git.mdbootstrap.com/mdb/angular/mdb5/plugins/prd/scroll-status
     
        
    

Import

        
            
          import { MdbScrollStatusService } from 'mdb-angular-scroll-status';
          …
          @NgModule ({
            ...
            providers: [MdbScrollStatusService],
            ...
          })
          
        
    

Methods

Name Description Example
getScrollPercentage(container) Get scrollPercentage observable of the given container scrollStatusService.getScrollPercentage(this.container.nativeElement)
getScrollPercentage() Get scrollPercentage observable of window/document scrollStatusService.getScrollPercentage()
        
            
          <div class="border w-100" style="height: 100px; overflow-y: auto" #container>
            <div class="scroll-status">
              <div
                class="scroll-status-progress bg-primary"
                style="height: 10px"
                [style.width.%]="scrollPercentage$ | async"
              ></div>
            </div>
          
            <div style="height: 400px; width: 100%">
              <p class="mt-2" style="text-align: center">Some content here</p>
            </div>
          </div>                            
          
        
    
        
            
          import { Component, ElementRef, OnInit, ViewChild } from '@angular/core';
          import { Observable } from 'rxjs';
          import { MdbScrollStatusService } from 'mdb-angular-scroll-status';
          
          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
            styleUrls: ['./app.component.scss'],
          })
          export class AppComponent implements OnInit {
            @ViewChild('container', { static: true }) container!: ElementRef;
          
            scrollPercentage$: Observable<number> | null = null;
          
            constructor(private _scrollStatusService: MdbScrollStatusService) {}
          
            ngOnInit(): void {
              this.scrollPercentage$ = this._scrollStatusService.getScrollPercentage(
                this.container.nativeElement
              );
            }
          }                      
          
        
    
        
            
          .scroll-status {
            position: sticky;
            z-index: 1020;
            background: #ccc;
            top: 0%;
          }
          
          .scroll-status-progress {
            width: 0%;
          }

Scroll Status

React Bootstrap 5 Scroll Status plugin

Scroll Status plugin creates progress bar indicating page or component scroll level.

Scroll status plugin built with the latest Bootstrap 5. Creates a progress bar indicating page or component scroll level.

Note: Read the API tab to find all available options and advanced customization


Basic example

Create default Scroll Status by adding <MDBScrollStatus> with containerRef  pro addressing a container element with scroll option.

Some content here

        
            
        import React, { useRef } from 'react';
        import { MDBScrollStatus } from 'mdb-react-scroll-status';

        export default function App() {
          const exampleReference = useRef(null);

          return (
            <section class="mb-4 w-100">
              <div class="border" style="height: 100px; overflow-y: auto;" ref={exampleReference}>
                <MDBScrollStatus containerRef={exampleReference}/>
                <div style="height: 400px; width: 100%;">
                  <p class="mt-2" style="text-align: center;">Some content here</p>
                </div>
              </div>
            </section>
          )
        }
        
        
    

Global example

Create element indicating global page scroll level.

        
            
        import React from 'react'
        import { MDBScrollStatus } from 'mdb-react-scroll-status'

        export default function App() {
          return (
            <MDBScrollStatus global />
          )
        }          
        
        
    

Styling

Color

Change default color of Scroll Status bar with color prop.

Some content here

        
            
          import React, { useRef } from 'react';
          import { MDBScrollStatus } from 'mdb-react-scroll-status';
  
          export default function App() {
            const exampleReference = useRef(null);
  
            return (
              <section class="mb-4 w-100">
                <div class="border" style="height: 100px; overflow-y: auto;" ref={exampleReference}>
                  <MDBScrollStatus containerRef={exampleReference} color="green" />
                  <div style="height: 400px; width: 100%;">
                    <p class="mt-2" style="text-align: center;">Some content here</p>
                  </div>
                </div>
              </section>
            )
          }
          
        
    

Position

Change default vertical position of Scroll Status with offset prop.

Some content here

        
            
          import React, { useRef } from 'react';
          import { MDBScrollStatus } from 'mdb-react-scroll-status';
  
          export default function App() {
            const exampleReference = useRef(null);
  
            return (
              <section class="mb-4 w-100">
                <div class="border" style="height: 100px; overflow-y: auto;" ref={exampleReference}>
                  <MDBScrollStatus containerRef={exampleReference} offset={10} />
                  <div style="height: 400px; width: 100%;">
                    <p class="mt-2" style="text-align: center;">Some content here</p>
                  </div>
                </div>
              </section>
            )
          }
          
        
    

Height

Change default height of Scroll Status bar with height prop.

Some content here

        
            
          import React, { useRef } from 'react';
          import { MDBScrollStatus } from 'mdb-react-scroll-status';
  
          export default function App() {
            const exampleReference = useRef(null);
  
            return (
              <section class="mb-4 w-100">
                <div class="border" style="height: 100px; overflow-y: auto;" ref={exampleReference}>
                  <MDBScrollStatus containerRef={exampleReference} height="20px" />
                  <div style="height: 400px; width: 100%;">
                    <p class="mt-2" style="text-align: center;">Some content here</p>
                  </div>
                </div>
              </section>
            )
          }
          
        
    

Trigger

One-time open on modal example

Fires onScrollTarget function immediately when the scroll value is exceeded. Below is an example using a modal.

Some content here

        
            
          import React, { useRef, useState } from 'react';
          import {
            MDBModal,
            MDBModalDialog,
            MDBModalContent,
            MDBModalHeader,
            MDBModalTitle,
            MDBModalBody,
            MDBModalFooter,
            MDBBtn,
          } from 'mdb-react-ui-kit';
          import { MDBScrollStatus } from 'mdb-react-scroll-status';
  
          export default function App() {
            const [toggleShowModal, setToggleShowModal] = useState(false);
            const exampleReference = useRef(null);
  
            return (
              <section class="mb-4 w-100">
                <MDBModal open={toggleShowModal} onClose={() => setToggleShowModal(false)} tabIndex={-1}>
                  <MDBModalDialog>
                    <MDBModalContent>
                      <MDBModalHeader>
                        <MDBModalTitle>Scroll Status</MDBModalTitle>
                        <MDBBtn className='btn-close' color='none' onClick={() => setToggleShowModal(false)}></MDBBtn>
                      </MDBModalHeader>
                      <MDBModalBody>Showing scroll status on 50%</MDBModalBody>
    
                      <MDBModalFooter>
                        <MDBBtn color='secondary' onClick={() => setToggleShowModal(false)}>
                          Close
                        </MDBBtn>
                        <MDBBtn>Save changes</MDBBtn>
                      </MDBModalFooter>
                    </MDBModalContent>
                  </MDBModalDialog>
                </MDBModal>

                <div class="border" style="height: 100px; overflow-y: auto;" ref={exampleReference}>
                  <MDBScrollStatus containerRef={exampleReference} scroll={50} onScrollTarget={()=> setToggleShowModal(true)} />
                  <div style="height: 400px; width: 100%;">
                    <p class="mt-2" style="text-align: center;">Some content here</p>
                  </div>
                </div>
              </section>
            )
          }
          
        
    

Multiple open on modal example

To trigger a passed function multiple times, add triggerOnce={false} prop.

Some content here

        
            
          import React, { useRef, useState } from 'react';
          import {
            MDBModal,
            MDBModalDialog,
            MDBModalContent,
            MDBModalHeader,
            MDBModalTitle,
            MDBModalBody,
            MDBModalFooter,
            MDBBtn,
          } from 'mdb-react-ui-kit';
          import { MDBScrollStatus } from 'mdb-react-scroll-status';
  
          export default function App() {
            const [toggleShowModal, setToggleShowModal] = useState(false);
            const exampleReference = useRef(null);
  
            return (
              <section class="mb-4 w-100">
                <MDBModal open={toggleShowModal} onClose={() => setToggleShowModal(false)} tabIndex={-1}>
                  <MDBModalDialog>
                    <MDBModalContent>
                      <MDBModalHeader>
                        <MDBModalTitle>Scroll Status</MDBModalTitle>
                        <MDBBtn className='btn-close' color='none' onClick={() => setToggleShowModal(false)}></MDBBtn>
                      </MDBModalHeader>
                      <MDBModalBody>Showing scroll status on 50%</MDBModalBody>
    
                      <MDBModalFooter>
                        <MDBBtn color='secondary' onClick={() => setToggleShowModal(false)}>
                          Close
                        </MDBBtn>
                        <MDBBtn>Save changes</MDBBtn>
                      </MDBModalFooter>
                    </MDBModalContent>
                  </MDBModalDialog>
                </MDBModal>

                <div class="border" style="height: 100px; overflow-y: auto;" ref={exampleReference}>
                  <MDBScrollStatus containerRef={exampleReference} scroll={50} onScrollTarget={()=> setToggleShowModal(true)} triggerOnce={false}/>
                  <div style="height: 400px; width: 100%;">
                    <p class="mt-2" style="text-align: center;">Some content here</p>
                  </div>
                </div>
              </section>
            )
          }
          
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Scroll Status - API


Import

        
            
            import { MDBScrollStatus } from 'mdb-react-scroll-status';
          
        
    

Properties

MDBScrollStatus

Name Type Default Description Example
className string '' Add custom class to MDBScrollStatus <MDBScrollStatus className="class" />
color string '#1266F1' Defines color of the progress bar. <MDBScrollStatus color='#000' />
containerRef React.MutableRefObject<any> A reference to the object whose scroll value will be shown. <MDBScrollStatus containerRef={someRef} />
global boolean false If value is true, it will show global scroll (window scroll). <MDBScrollStatus global />
height string 10px Defines height of the progress bar. <MDBScrollStatus height='20px' />
offset number 0 Defines offset of the progress bar. <MDBScrollStatus offset={10} />
scroll number - Defines percentage value which crossing will trigger onScrollTarget event. <MDBScrollStatus scroll={50} />
triggerOnce boolean true If value is true, it will trigger onScrollTarget just once. <MDBScrollStatus triggerOnce={false} />

Events

Name Type Description
onScroll (value: any) => any Returns the current scroll percentage.
onScrollTarget () => any Fires immediately when the scroll value is exceeded